//
//  Copyright (c) 2004 Nat!
//  All rights reserved.
//
//  A Mulle kybernetiK production
//  www.mulle-kybernetik.com
//
#import <Foundation/Foundation.h>


typedef enum
{
   HostStatusError   = -1,
   HostStatusUnknown = 0,
   HostStatusUp      = 1,
   HostStatusDown    = 2
} HostPingStatusEnum;


@interface HostPingStatus : NSObject 
{
   NSHost               *host_;
   NSLock               *lock_;
   HostPingStatusEnum   status_;
}

- (id) initWithHost:(NSHost *) host;
- (BOOL) ping;
- (BOOL) isUp;
- (void) setIsUp:(BOOL) flag;
- (int) status;
- (NSHost *) host;
- (void) updateAsynchronously;

@end
